package com.ys.bdtp.adm.mvvm.ui.screen.offline

import androidx.compose.foundation.Image
import androidx.compose.foundation.background
import androidx.compose.foundation.border
import androidx.compose.foundation.clickable
import androidx.compose.foundation.layout.*
import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.material.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.tooling.preview.Preview
import androidx.compose.ui.unit.dp
import androidx.compose.ui.unit.sp
import com.ys.bdtp.adm.R

@Composable
fun OfflineHeadMiddle() {
    Box(
        modifier = Modifier
            .width(300.dp)
            .height(52.dp)
    ) {
        Row(modifier = Modifier.align(Alignment.Center)) {
            Box(modifier = Modifier
                .width(139.dp)
                .height(32.dp)
                .background(
                    Color(0xFF0091FF),
                    shape = RoundedCornerShape(
                        topStart = 4.dp,
                        bottomStart = 4.dp,
                        topEnd = 0.dp,
                        bottomEnd = 0.dp
                    )
                )
                .clickable {}
            ) {
                Text(
                    text = "全部同步",
                    color = Color.White,
                    fontSize = 14.sp,
                    modifier = Modifier.align(Alignment.Center)
                )
            }
            Box {
                Box(modifier = Modifier
                    .width(140.dp)
                    .height(32.dp)
                    .background(
                        Color(0xFFFFFFFF),
                        shape = RoundedCornerShape(
                            topStart = 0.dp,
                            bottomStart = 0.dp,
                            topEnd = 4.dp,
                            bottomEnd = 4.dp
                        )
                    )
                    .border(
                        width = 1.dp,
                        color = Color.Gray,
                        shape = RoundedCornerShape(
                            topStart = 0.dp,
                            bottomStart = 0.dp,
                            topEnd = 4.dp,
                            bottomEnd = 4.dp
                        )
                    )
                    .clickable {}
                ) {
                    Text(
                        text = "停止同步",
                        color = Color(0xFFD5D5D5),
                        fontSize = 14.sp,
                        modifier = Modifier.align(Alignment.Center)
                    )
                }
                Spacer(modifier = Modifier.width(1.dp).height(32.dp).background(Color(0xFF0091FF)))
            }
        }

        Box(
            modifier = Modifier
                .width(18.dp)
                .height(18.dp),
            contentAlignment = Alignment.Center
        ) {
            Image(
                painter = painterResource(R.drawable.red_circle),
                contentDescription = "",
                modifier = Modifier.fillMaxSize()
            )
            Text(text = "3", color = Color.White, fontSize = 12.sp)
        }

    }
}


@Preview
@Composable
fun PreviewOfflineHeadMiddle() {
    OfflineHeadMiddle()
}